=== examples/Makefile ===
default:

clean:
	-rm -f *~ 
	-rm -f */*~
