=== F/SRC_spaghetti/Makefile ===
include ../../Make.sys

OBJ = get_ei.o  get_k.o

.SUFFIXES: .f

.f.o:
	$(FC) $(FFLAGS) -c $<

default: $(OBJ)

clean: 
	-rm *.o
