## xcrysden 1.5.52

=== debian/changelog ===
xcrysden (1.5.52-1) unstable; urgency=low

  * Initial release (Closes: #486545).
  * This is my first Debian package.
  * Adjusted the Makefile to fix $(DESTDIR) problems and fixing the
    wrapper scripts.

 -- Anton Kokalj <tone.kokalj@ijs.si>  Sat, 10 Mar 2012 16:28:25 +0100
