=== debian/control ===
Source: xcrysden
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Anton Kokalj <tone.kokalj@ijs.si>,
           Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 8.0.0), libfftw3-dev, libmeschach-dev, tk8.5-dev, tcl8.5-dev, libgl1-mesa-dev, libglu1-mesa-dev, libxmu-headers, libxmu-dev, libx11-dev, libgcc1, gfortran
Standards-Version: 3.9.3
Homepage: http://www.xcrysden.org/
DM-Upload-Allowed: yes

Package: xcrysden
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xcrysden-data, bwidget, gawk, imagemagick, openbabel
Description: Crystalline and Molecular Structure Visualizer
 XCrySDen is a crystalline and molecular structure visualisation
 program, which aims at display of isosurfaces and contours, which can
 be superimposed on crystalline structures and interactively rotated
 and manipulated. It can run on most UNIX platforms, without any
 special hardware requirements.

Package: xcrysden-data
Architecture: all
Depends: ${misc:Depends}
Description: Crystalline and Molecular Structure Visualizer (Data Files)
 XCrySDen is a crystalline and molecular structure visualisation
 program, which aims at display of isosurfaces and contours, which can
 be superimposed on crystalline structures and interactively rotated
 and manipulated. It can run on most UNIX platforms, without any
 special hardware requirements.
 .
 This package contains the architecture independent files.
