=== debian/watch ===
# watch control file for uscan
version=3
http://www.xcrysden.org/download/xcrysden-(.+)\.tar\.gz debian uupdate
