## xcrysden 1.5.53

=== debian/changelog ===
xcrysden (1.5.53-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Uploaders): Added myself.
    (Build-Depends): Added libtogl-dev and libgl2ps-dev.
  * debian/copyright: Fixed format.
  * debian/rules: Enable hardening and list missing files.
  * debian/upstream: Added.
  * debian/watch: Fixed.
  * debian/patches/Make.sys.patch: Adjusted.
    - Make sure we can choose our own build flags. Use libtogl-dev and
      libgl2ps-dev instead of the shipped copies.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 25 Jun 2012 00:20:00 +0200
