=== debian/control ===
--- 
+++ 
@@ -3,15 +3,35 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Anton Kokalj <tone.kokalj@ijs.si>,
-           Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 8.0.0), libfftw3-dev, libmeschach-dev, tk8.5-dev, tcl8.5-dev, libgl1-mesa-dev, libglu1-mesa-dev, libxmu-headers, libxmu-dev, libx11-dev, libgcc1, gfortran
+           Michael Banck <mbanck@debian.org>,
+           Daniel Leidert <dleidert@debian.org>
+Build-Depends: debhelper (>> 8),
+               gfortran,
+               libfftw3-dev,
+               libgcc1,
+               libgl1-mesa-dev,
+               libgl2ps-dev,
+               libglu1-mesa-dev,
+               libmeschach-dev,
+               libtogl-dev,
+               libx11-dev,
+               libxmu-dev,
+               libxmu-headers,
+               tcl8.5-dev,
+               tk8.5-dev
 Standards-Version: 3.9.3
 Homepage: http://www.xcrysden.org/
 DM-Upload-Allowed: yes
 
 Package: xcrysden
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, xcrysden-data, bwidget, gawk, imagemagick, openbabel
+Depends: bwidget,
+         gawk,
+         imagemagick,
+         openbabel,
+         xcrysden-data,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Crystalline and Molecular Structure Visualizer
  XCrySDen is a crystalline and molecular structure visualisation
  program, which aims at display of isosurfaces and contours, which can
