=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,18 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
+export CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
+export FFLAGS   = $(shell dpkg-buildflags --get FFLAGS)
+export LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build -- xcrysden
+
+override_dh_install:
+	dh_install --list-missing
+
+.NOTPARALLEL:
