## xcrysden 1.5.60

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 SHELL     = /bin/sh
 TOPDIR    = $(CURDIR)
-TCL_INDEX = $(TOPDIR)/util/aindex
+TCL_INDEX = $(TOPDIR)/util/tcl_index
 
 include make.include
