=== debian/changelog ===
xcrysden (1.5.60-1build3) bionic; urgency=medium

  * No-change rebuild against libgl2ps1.4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 11 Nov 2017 06:31:11 +0000

xcrysden (1.5.60-1build2) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 19:14:27 +0000

xcrysden (1.5.60-1build1) yakkety; urgency=medium

  * Rebuild against libgl2ps1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 31 May 2016 12:39:34 +0200

xcrysden (1.5.60-1) unstable; urgency=medium

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Uploaders): Removed myself.
    (DM-Upload-Allowed): Dropped obsolete field.
    (Standards-Version): Bumped to 3.9.5.
    (Depends): Use tk-dev and tcl-dev instead of a specific Tcl/Tk version.
    (Suggests): Added gifsicle, mencoder, netpbm and x11-apps utilized by
    xcrysden.
    (Description): Added explanation for suggested packages.
  * debian/copyright: Minor update. Added missing information.
  * debian/upstream: Moved to debian/upstream/metadata.
  * debian/patches/Make.sys.patch: Added -DUSE_INTERP_RESULT to CPPFLAGS to
    fix building with Tcl/Tk>=8.6. Also use unversioned symbol links/includes.
  * debian/xcrysden-data.lintian-overrides: Added.
  * debian/source/lintian-overrides: Added.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 28 Sep 2014 02:37:54 +0200
