=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: xcrysden
 Section: science
 Priority: optional
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
-Uploaders: Anton Kokalj <tone.kokalj@ijs.si>,
-           Michael Banck <mbanck@debian.org>,
-           Daniel Leidert <dleidert@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Uploaders: Anton Kokalj <tone.kokalj@ijs.si>, Michael Banck <mbanck@debian.org>
 Build-Depends: debhelper (>> 8),
                gfortran,
                libfftw3-dev,
@@ -17,11 +16,10 @@
                libx11-dev,
                libxmu-dev,
                libxmu-headers,
-               tcl8.5-dev,
-               tk8.5-dev
-Standards-Version: 3.9.3
+               tcl-dev,
+               tk-dev
+Standards-Version: 3.9.5
 Homepage: http://www.xcrysden.org/
-DM-Upload-Allowed: yes
 
 Package: xcrysden
 Architecture: any
@@ -32,12 +30,19 @@
          xcrysden-data,
          ${misc:Depends},
          ${shlibs:Depends}
+Suggests: gifsicle, mencoder, netpbm, x11-apps
 Description: Crystalline and Molecular Structure Visualizer
  XCrySDen is a crystalline and molecular structure visualisation
  program, which aims at display of isosurfaces and contours, which can
  be superimposed on crystalline structures and interactively rotated
  and manipulated. It can run on most UNIX platforms, without any
  special hardware requirements.
+ .
+ XCrySDen allows for real-time capture of display. Several movie encoders
+ are supported, in particular for Animated-GIF convert (imagemagick),
+ gifsicle, or whirlgif are necessary. For AVI/MPEG mencoder or
+ ppmtompeg (netpbm) is required. For window dumps either imagemagick or
+ xwd (x11-apps) needs to be present.
 
 Package: xcrysden-data
 Architecture: all
