=== debian/watch ===
# watch control file for uscan
version=3
http://www.xcrysden.org/download/xcrysden-([\d.]+)\.tar\.gz debian uupdate
